<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml">

    <ui:decorate template="#{form_template == null ? '/layout/form/_form_field_horizontal_4-8.xhtml' : form_template}">

        <ui:param name="id" value="#{filterId}#{idSuffix}Select"/>
        <ui:define name="label">
            <h:outputText value="#{filterName}"/>
        </ui:define>
        <span class="gzl-never-wrap">

            <a4j:jsFunction name="update#{filterId}#{idSuffix}"
                            render="#{filterId}#{idSuffix}Select"
                            immediate="true" ajaxSingle="true"
                            execute="#{filterId}#{idSuffix}Select"
                            oncomplete="openSelectBox.filterId = '.#{filterId}#{idSuffix}In';"
                            actionListener="#{filter.setDisplay(filterId)}"/>

            <s:div id="#{filterId}#{idSuffix}Select" styleClass="gzl-filter-control">
                <h:panelGroup rendered="#{!isText}">
                    <h:panelGroup rendered="#{!filter.isDisplay(filterId)}">
                        <div onclick="update#{filterId}#{idSuffix}();"
                             class="chosen-container chosen-container-single" style="width: 90%;">
                            <a class="chosen-single" tabindex="-1">
                                <h:panelGroup rendered="#{filter.filterValues[filterId] == null}">
                                    <span>#{messages['gazelle.common.button.ShowAll']}</span>
                                </h:panelGroup>
                                <h:panelGroup rendered="#{filter.filterValues[filterId] != null}">
                                    <span>#{filter.filterValues[filterId]}</span>
                                </h:panelGroup>
                                <div>
                                    <b/>
                                </div>
                            </a>
                        </div>
                    </h:panelGroup>

                    <h:panelGroup rendered="#{filter.isDisplay(filterId)}">
                        <h:panelGroup rendered="#{!isText}">
                            <h:selectOneMenu id="#{filterId}#{idSuffix}In"
                                             styleClass="form-control gzl-select-text #{filterId}#{idSuffix}In"
                                             style="width: 90%;display: initial;"
                                             value="#{filter.filterValues[filterId]}">
                                <f:selectItems value="#{filter.getPossibleValues(filterId)}"/>
                                <a4j:ajax event="change" render="#{filterForm}" execute="@this"/>
                            </h:selectOneMenu>
                        </h:panelGroup>
                    </h:panelGroup>
                </h:panelGroup>

                <h:panelGroup rendered="#{isText}">
                    <h:inputText id="#{filterId}#{idSuffix}Text"
                                 value="#{filter.filterValues[filterId]}"
                                 styleClass="form-control" showControls="true"
                                 style="width: 90%;display: initial;">
                        <a4j:ajax execute="@this" event="keyup" render="#{filterForm}" update="#{filterId}#{idSuffix}Text"/>
                    </h:inputText>
                </h:panelGroup>

                <a4j:commandLink event="click" actionListener="#{filter.resetField(filterId)}"
                                 render="#{filterForm}" execute="@this"
                                 rendered="#{filter.filterValues[filterId] != null}">
                    <span class="gzl-icon-times"/>
                </a4j:commandLink>
            </s:div>
        </span>
    </ui:decorate>
</ui:composition>
